hpp-fcl: hpp::fcl::DistanceFunctionMatrix Struct Reference

hpp-fcl 1.6.0 HPP fork of FCL -- The Flexible Collision Library

Public Types | Public Member Functions | Public Attributes | List of all members
hpp::fcl::DistanceFunctionMatrix Struct Reference

distance matrix stores the functions for distance between different types of objects and provides a uniform call interface More...

`#include <hpp/fcl/distance_func_matrix.h>`

## Public Types
typedef FCL_REAL(* | DistanceFunc) (const CollisionGeometry *o1, const Transform3f &tf1, const CollisionGeometry *o2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result)
| the uniform call interface for distance: for distance, we need know More...

## Public Member Functions
| DistanceFunctionMatrix ()

## Public Attributes
DistanceFunc | distance_matrix [NODE_COUNT][NODE_COUNT]
| each item in the distance matrix is a function to handle distance between objects of type1 and type2 More...

## Detailed Description

distance matrix stores the functions for distance between different types of objects and provides a uniform call interface

## Member Typedef Documentation

## ◆ DistanceFunc

typedef FCL_REAL(* hpp::fcl::DistanceFunctionMatrix::DistanceFunc) (const CollisionGeometry *o1, const Transform3f &tf1, const CollisionGeometry *o2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result)

the uniform call interface for distance: for distance, we need know

1. two objects o1 and o2 and their configuration in world coordinate tf1 and tf2;
2. the solver for narrow phase collision, this is for distance computation between geometric shapes;
3. the request setting for distance (e.g., whether need to return nearest points);

## Constructor & Destructor Documentation

## ◆ DistanceFunctionMatrix()

hpp::fcl::DistanceFunctionMatrix::DistanceFunctionMatrix | ( |  | ) |

## Member Data Documentation

## ◆ distance_matrix

DistanceFunc hpp::fcl::DistanceFunctionMatrix::distance_matrix[NODE_COUNT][NODE_COUNT]

each item in the distance matrix is a function to handle distance between objects of type1 and type2

The documentation for this struct was generated from the following file:

- include/hpp/fcl/distance_func_matrix.h